<!-- side modal -->
<app-side-modal (closeClick)="closeClick.emit()">
  <!-- user info -->
  <app-side-space-info (viewInit)="onInfoInit($event)" [space]="space"></app-side-space-info>

  <!-- switch by view -->
  <ng-container [ngSwitch]="view">
    <!-- default -->
    <ng-container *ngSwitchCase="'default'">
      <!-- profile -->
      <app-space-info-default
        (cancelClick)="closeClick.emit()"
        (editClick)="toEdit()"
        [style.hegiht]="contentHeight"
        [space]="space"
      ></app-space-info-default>
    </ng-container>

    <!-- edit -->
    <ng-container *ngSwitchCase="'edit'">
      <!-- edit profile -->
      <app-space-info-edit
        (cancelClick)="toDefault()"
        (saved)="onSpaceSaved($event)"
        [style.hegiht]="contentHeight"
        [space]="space"
      ></app-space-info-edit>
    </ng-container>
  </ng-container>
</app-side-modal>
